package org.jeecg.modules.fbsQualityQualificationRate.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.jeecg.modules.fbsQualityQualificationRate.entity.FbsQualityQualificationRate;
import org.jeecg.modules.fbsQualityQualificationRate.mapper.FbsQualityQualificationRateMapper;
import org.jeecg.modules.fbsQualityQualificationRate.service.IFbsQualityQualificationRateService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;

/**
 * @Description: 品质看板合格率统计表格数据
 * @author： jeecg-boot
 * @date：   2020-11-03
 * @version： V1.0
 */
@Service
public class FbsQualityQualificationRateServiceImpl extends ServiceImpl<FbsQualityQualificationRateMapper, FbsQualityQualificationRate> implements IFbsQualityQualificationRateService {

    @Resource
    IFbsQualityQualificationRateService iFbsQualityQualificationRateService;

    @Resource
    FbsQualityQualificationRateMapper fbsQualityQualificationRateMapper;

    @Override
    public int addData(FbsQualityQualificationRate fbsQualityQualificationRate) {
        //查询未删除的
        LambdaQueryWrapper<FbsQualityQualificationRate> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(FbsQualityQualificationRate::getDelFlag,"0");
        //删除状态
        FbsQualityQualificationRate fbsQualityQualificationRateUpdate=new FbsQualityQualificationRate();
        fbsQualityQualificationRateUpdate.setDelFlag("1");
        //修改
        iFbsQualityQualificationRateService.update(fbsQualityQualificationRateUpdate,lambdaQueryWrapper);
        //保存新记录
        int result=fbsQualityQualificationRateMapper.insert(fbsQualityQualificationRate);
        return result;
    }
}
